vaseboot/tests/luks1_test.in

24 lines
380 B
Plaintext

#!@BUILD_SHEBANG@
set -ex
if [ "x$EUID" = "x" ] ; then
EUID=`id -u`
fi
if [ "$EUID" != 0 ] ; then
exit 99
fi
if ! which mkfs.ext2 >/dev/null 2>&1; then
echo "mkfs.ext2 not installed; cannot test luks."
exit 99
fi
if ! which cryptsetup >/dev/null 2>&1; then
echo "cryptsetup not installed; cannot test luks."
exit 99
fi
"@builddir@/VasEBoot-fs-tester" luks1